Bug 238423 - smbd crash with force user option
smbd crash with force user option
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: samba (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Samba Maint Team
David Lawrence
:
Depends On: 238757
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-30 08:36 EDT by Yanick Quirion
Modified: 2013-06-18 08:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2007-0638
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 14:10:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yanick Quirion 2007-04-30 08:36:15 EDT
Description of problem: Using "force user" option in smb.conf under defined 
share, smbd will crash


Version-Release number of selected component (if applicable): samba-3.0.23c-
2.el5.2


How reproducible: 

To reproduce this problem, samba must be configured with windbind and using 
Windows ADS to authentify. Also, the problem will appear if a user tried to map 
a drive from Windows (net use x: \\samba\test) and this user doesn't have 
access right at filesystem level. Here is an example os the share:

[test]
        comment = Test Home Directory
        path = /home/test
        valid users = domain+test,domain+admin
        force user = domain+test <---------- Removing that option solve the 
                                             issue, but in my case, I really
                                             need it.
        force group = domain+management
        read only = no
        create mask = 0660
        directory mask = 02770
        nt acl support = yes

  
Actual results:
When it failed, I Windows will show me arror saying the share is no longer 
available and under snmd.log I have this crash dump from smbd process, but I'm 
not unable to retreive it...



Expected results:
Sucessfull network drive connection

Additional info:
This problem has been solve on latest release of Samba. Recompiling version 
3.0.24 solve the issue. Redhat should include this version into their 
distribution.
Comment 7 errata-xmlrpc 2007-11-07 14:10:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0638.html

Note You need to log in before you can comment on or make changes to this bug.